Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 804891 - media-video/handbrake-1.4.2 version bump
Summary: media-video/handbrake-1.4.2 version bump
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: James Beddek
URL:
Whiteboard:
Keywords: PullRequest
Depends on:
Blocks:
 
Reported: 2021-07-28 14:34 UTC by David Duchesne
Modified: 2021-10-24 08:28 UTC (History)
6 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description David Duchesne 2021-07-28 14:34:17 UTC
media-video/handbrake-1.4.0 version bump

Released July 18th 2021

https://github.com/HandBrake/HandBrake/releases/tag/1.4.0

Reproducible: Always
Comment 1 Lars Wendler (Polynomial-C) gentoo-dev 2021-08-16 22:07:01 UTC
https://github.com/HandBrake/HandBrake/releases/tag/1.4.1
Comment 2 Lars Wendler (Polynomial-C) gentoo-dev 2021-10-04 15:48:17 UTC
https://github.com/HandBrake/HandBrake/releases/tag/1.4.2
Comment 3 Christian Schroeder 2021-10-07 17:50:18 UTC
I can confirm that HandBrake 1.4.2 builds fine using the ebuild for 1.4.1 which I submitted last week (see linked pull request).
Comment 4 James L. Hammons 2021-10-19 00:30:31 UTC
Can confirm revbumping the 1.4.1 ebuild to 1.4.2 builds, and works.  One very good reason to bump handbrake to 1.4.2 is that the current 1.3.3-r2 version of handbrake *does not work properly* with ffmpeg > v4.3.2 (it fails to encode audio at all).

Again, I can confirm that handbrake-1.4.2 encodes properly with ffmpeg-4.4; so either a revbump is necessary or what's currently in portage (1.3.3-r2) needs to have a version restriction on ffmpeg (<=4.3.2) added to it.

My 2c
Comment 5 Sam James archtester Gentoo Infrastructure gentoo-dev Security 2021-10-19 00:55:13 UTC
(In reply to James L. Hammons from comment #4)
> Can confirm revbumping the 1.4.1 ebuild to 1.4.2 builds, and works.  One
> very good reason to bump handbrake to 1.4.2 is that the current 1.3.3-r2
> version of handbrake *does not work properly* with ffmpeg > v4.3.2 (it fails
> to encode audio at all).
> 
> Again, I can confirm that handbrake-1.4.2 encodes properly with ffmpeg-4.4;
> so either a revbump is necessary or what's currently in portage (1.3.3-r2)
> needs to have a version restriction on ffmpeg (<=4.3.2) added to it.
> 
> My 2c

I think 1.3.3-r3 should work actually (bug 791220), but I can see about trying this. I am no real user of HB though so would need feedback if any issues and ideally suggested fixes.
Comment 6 Larry the Git Cow gentoo-dev 2021-10-24 08:27:11 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=fe3d914b623aa403e90098a23968b394b2f0e6c3

commit fe3d914b623aa403e90098a23968b394b2f0e6c3
Author:     James Beddek <telans@posteo.de>
AuthorDate: 2021-10-24 07:15:28 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2021-10-24 08:21:42 +0000

    media-video/handbrake: add 1.4.2
    
    Closes: https://bugs.gentoo.org/806392
    Closes: https://bugs.gentoo.org/738110
    Closes: https://bugs.gentoo.org/804891
    Signed-off-by: James Beddek <telans@posteo.de>
    Signed-off-by: Sam James <sam@gentoo.org>

 .../files/handbrake-9999-system-tools.patch        | 24 ++++++++++++++++++++++
 media-video/handbrake/handbrake-1.4.2.ebuild       |  4 ++++
 2 files changed, 28 insertions(+)